# Get validator rewards

Get a paginated list of validator rewards.

```
GET /validators/{public_key}/rewards
```

## Query params

None

## Sorting

| Property | Description                              |
| -------- | ---------------------------------------- |
| `era_id` | Sort validator rewards by era identifier |

Default sorting is `era_id DESC`

## Optional properties

| Property | Type      | Description                                                                                                                                                                                              |
| -------- | --------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `rate`   | `float32` | The rate that was relevant at the moment when the last block was proposed. To get more details see [Including CSPR rates](https://docs.cspr.cloud/1.2.x/documentation/highlights/including-cspr-rates) . |

## Response

[`PaginatedResponse`](https://docs.cspr.cloud/1.2.x/documentation/overview/pagination)[`<ValidatorReward>`](https://docs.cspr.cloud/1.2.x/rest-api/validator-reward)

## Example

```bash
curl -X 'GET' \
  'https://api.testnet.cspr.cloud/validators/0106ca7c39cd272dbf21a86eeb3b36b7c26e2e9b94af64292419f7862936bca2ca/rewards' \
  -H 'Accept: application/json' \
  -H 'Authorization: 55f79117-fc4d-4d60-9956-65423f39a06a'
```

```json
{
  "item_count": 11747,
  "page_count": 1175,
  "data": [
    {
      "amount": "182667994591",
      "era_id": 11954,
      "public_key": "0106ca7c39cd272dbf21a86eeb3b36b7c26e2e9b94af64292419f7862936bca2ca",
      "timestamp": "2024-01-04T13:22:47Z"
    },
    {
      "amount": "182737559551",
      "era_id": 11953,
      "public_key": "0106ca7c39cd272dbf21a86eeb3b36b7c26e2e9b94af64292419f7862936bca2ca",
      "timestamp": "2024-01-04T11:22:38Z"
    },
    ...
    {
      "amount": "182646033588",
      "era_id": 11945,
      "public_key": "0106ca7c39cd272dbf21a86eeb3b36b7c26e2e9b94af64292419f7862936bca2ca",
      "timestamp": "2024-01-03T19:21:26Z"
    }
  ]
}
```
